spark-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Joseph K. Bradley (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SPARK-9658) ML 1.5 QA: API: Binary incompatible changes
Date Thu, 13 Aug 2015 01:36:45 GMT

    [ https://issues.apache.org/jira/browse/SPARK-9658?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14694529#comment-14694529
] 

Joseph K. Bradley commented on SPARK-9658:
------------------------------------------

The only remaining item is (3) + running the checker again.

> ML 1.5 QA: API: Binary incompatible changes
> -------------------------------------------
>
>                 Key: SPARK-9658
>                 URL: https://issues.apache.org/jira/browse/SPARK-9658
>             Project: Spark
>          Issue Type: Sub-task
>          Components: ML, MLlib
>    Affects Versions: 1.5.0
>            Reporter: Xiangrui Meng
>            Assignee: Xiangrui Meng
>            Priority: Blocker
>
> Generated a list of binary incompatible changes using MiMa and filter out some false
positives:
> 1. LDA.docConcentration
> It will be nice to keep the old APIs unchanged. For example, we can use “asymmetricDocConcentration”.
Then “getDocConcentration" would return the first item if the concentration vector is a
constant vector.
> 2. LDAModel.gammaShape / topicConcentration
> Should be okay if we assume that no one extends LDAModel.
> 3. Params.setDefault
> If we have time to investigate this issue. We should put it back.
> 4. LogisticRegressionModel.threshold is missing.
> 5. LogisticRegression.setThreshold shouldn't be in the Params trait. We need to override
it anyway.
> Will create sub-tasks for each item.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@spark.apache.org
For additional commands, e-mail: issues-help@spark.apache.org


Mime
View raw message